summaryrefslogtreecommitdiffstats
path: root/tests/auto/xmlpatternsxslts/XSLTS/updateSuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/auto/xmlpatternsxslts/XSLTS/updateSuite.sh')
-rwxr-xr-xtests/auto/xmlpatternsxslts/XSLTS/updateSuite.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/auto/xmlpatternsxslts/XSLTS/updateSuite.sh b/tests/auto/xmlpatternsxslts/XSLTS/updateSuite.sh
new file mode 100755
index 0000000..9b84427
--- /dev/null
+++ b/tests/auto/xmlpatternsxslts/XSLTS/updateSuite.sh
@@ -0,0 +1,18 @@
+# This script updates the suite from W3C's CVS server.
+#
+# NOTE: the files checked out CANNOT be added to Trolltech's
+# repository at the moment, due to legal complications. However,
+# when the test suite is publically released, it is posssible as
+# according to W3C's usual license agreements.
+
+echo "*** This script typically doesn't need to be run, and it needs to be updated anyway."
+exit 1
+
+# This is W3C's internal CVS server, not the public dev.w3.org.
+export CVSROOT="fenglich@cvs.w3.org:path is currently unknown"
+
+echo "*** Enter 'anonymous' as password. ***"
+cvs login
+
+mv catalog.xml catalogUnresolved.xml
+xmllint --noent --output catalog.xml catalogUnresolved.xml